LinkedIn Job Details API

Get a public LinkedIn job's full description, company, location, employment type, and seniority.

1 creditper request
GET
/v1/linkedin/job
curl "https://api.scrapecreators.com/v1/linkedin/job" \
  -H "x-api-key: "
{
  "success": true,
  "credits_remaining": 100,
  "credits_charged": 1,
  "id": "4492235099",
  "url": "https://www.linkedin.com/jobs/view/4492235099/",
  "title": "Senior Software Engineer, Backend - IT Product",
  "company": {
    "name": "Rippling",
    "url": "https://www.linkedin.com/company/rippling"
  },
  "location": "San Francisco, CA",
  "description": "About Rippling

Rippling gives businesses one place to run HR, IT, and Finance.",
  "date_posted": null,
  "posted_time_ago": "2 days ago",
  "employment_type": "Full-time",
  "seniority_level": "Mid-Senior level",
  "job_function": null,
  "industries": "Software Development",
  "accepting_applications": true
}

Headers

x-api-key
string
required

Your Scrape Creators API key

Query Parameters

url
string
required

HTTPS LinkedIn job URL. Use the URL from search or a /jobs/view/ link ending in the numeric job ID.

Example:
https://www.linkedin.com/jobs/view/4492235099/